%define pkgname   dirsrv

Summary:          389 Directory Server Gateway (dsgw)
Name:             389-dsgw
Version:          1.1.10
Release:          %mkrel 2
License:          GPLv2
URL:              http://port389.org/
Source0:          http://port389.org/sources/%{name}-%{version}.tar.bz2
Group:            System/Servers
BuildRequires:    nspr-devel
BuildRequires:    nss-devel
BuildRequires:    svrcore-devel
BuildRequires:    mozldap-devel
BuildRequires:    libsasl-devel
BuildRequires:    icu
BuildRequires:    libicu-devel
BuildRequires:    389-adminutil-devel
# this provides the required  /etc/dirsrv/admin-serv/httpd.conf
Requires:         389-admin
# orgchart uses perldap
Requires:         perl-Mozilla-LDAP



%description
389 Directory Server Gateway is a collection of 3 web applications
that run on top of the Administration Server used by the Directory
Server.  These 3 applications are:
* phonebook - a simple phonebook application geared towards end users,
with simple search screens and simple self-service management
* orgchart - an organization chart viewer
* gateway - a more advanced search interface that allows admins to
create and edit user entries, and allows creation of templates for
different types of user and group entries

%prep
%setup -q -n %{name}-%{version}

%build
autoreconf -fi
%configure --disable-rpath --with-openldap

# Generate symbolic info for debuggers
export XCFLAGS=$RPM_OPT_FLAGS

%ifarch x86_64
export USE_64=1
%endif

%make

%install


make DESTDIR="%{buildroot}" install

# make cookie db directory
mkdir -p %{buildroot}%{_localstatedir}/run/%{pkgname}/dsgw/cookies
# touch the tmpfiles.d conf file - but will not be included in the package
# Spuhler, March 13, 2013- The spec file in the source tar ball doesn't include this temp file
# and rpmlint rejects it. Let's see if it really needs it. Suse doesn't use this file either.
# Comment out the ghostfile too
# mkdir -p %{buildroot}%{_sysconfdir}/tmpfiles.d
# touch %{buildroot}%{_sysconfdir}/tmpfiles.d/%{pkgname}-dsgw.conf



%post
# this has been problematic - if this directory
# does not exist, the server will silently fail to
# start - however, if the user has already created
# it, we don't want to overwrite the permissions
# on it - so we can't list it explicitly in the
# files section
if [ ! -d %{_localstatedir}/run/%{pkgname}/dsgw/cookies ] ; then
    mkdir -p %{_localstatedir}/run/%{pkgname}/dsgw/cookies
fi

%files
%doc LICENSE
%dir %{_sysconfdir}/%{pkgname}/dsgw
%config(noreplace)%{_sysconfdir}/%{pkgname}/dsgw/*.conf
%{_datadir}/%{pkgname}/dsgw
%{_datadir}/%{pkgname}/manual/*/dsgw
%{_datadir}/%{pkgname}/properties/dsgw
%{_sbindir}/*
%{_libdir}/%{pkgname}/dsgw-cgi-bin
# %ghost %{_sysconfdir}/tmpfiles.d/%{pkgname}-dsgw.conf



%changelog

* Sat Mar 23 2013 spuhler <spuhler> 1.1.10-2.mga3
+ Revision: 404614
- added Requires: 389-admin
  bumped rel

* Thu Mar 14 2013 spuhler <spuhler> 1.1.10-1.mga3
+ Revision: 402910
- Comment out the temp (ghost) files in /etc/..
  The spec file in the source doesn't use it neither does Opensuse
- updated to version 1.1.10 to make it build
  added autoreconf -fi to satisfy libtool version
- replaced Fedora macros with Mageia's
  removed obsoleted lines in spec file
- corrected Group
- cleaned up spec sheet
- imported package 389-dsgw

